package com.multictrl.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum FlightTaskStatus {
    FAILED(-1, "任务失败"),
    IN_PROGRESS(0, "任务进行中"),
    FINISHED(1, "任务完成"),
    PREVENTED(2, "任务被阻止");

    private final Integer code;
    private final String desc;
}
